"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const strip_1 = __importDefault(require("./lib/strip"));
const rules_1 = __importDefault(require("./lib/rules"));
const result_type_1 = __importDefault(require("./lib/types/result-type"));
function validate(commitMessage) {
    const strippedMessage = strip_1.default(commitMessage);
    if (strippedMessage === '') {
        throw new Error('Empty commit message');
    }
    const results = [];
    for (const rule of rules_1.default) {
        let outcome;
        if (rule.test === undefined) {
            outcome = result_type_1.default.info;
            results.push({
                rule,
                type: outcome
            });
            continue;
        }
        if (rule.test(strippedMessage)) {
            outcome = result_type_1.default.pass;
        }
        else {
            outcome = result_type_1.default.fail;
        }
        results.push({
            rule,
            type: outcome
        });
    }
    return results;
}
exports.default = validate;
