"use strict";
// See: https://git-scm.com/docs/git-commit#git-commit-strip
Object.defineProperty(exports, "__esModule", { value: true });
// TODO: Respect git's core.commentchar
function strip(rawCommitMessage) {
    const trailingWhitespace = /[ \t\f\v]+$/gm;
    const commentary = /^#.*/gm;
    const consecutiveEmptyLines = /\n{3,}/g;
    const leadingTrailingEmptyLines = /^\n+|\n+$/g;
    return rawCommitMessage
        .replace(trailingWhitespace, '')
        .replace(commentary, '')
        .replace(consecutiveEmptyLines, '\n\n')
        .replace(leadingTrailingEmptyLines, '');
}
exports.default = strip;
